## Quarkus configs
quarkus.http.root-path=/
quarkus.oidc.enabled=false
quarkus.log.level=INFO

## Default datasource configs
quarkus.datasource.db-kind=mariadb
quarkus.datasource.jdbc.min-size = 5
quarkus.datasource.jdbc.max-size = 15
quarkus.hibernate-orm.packages=org.eclipsefoundation.profile.dtos.eclipseapi
quarkus.hibernate-orm.datasource=<default>
quarkus.hibernate-orm.physical-naming-strategy=org.hibernate.boot.model.naming.CamelCaseToUnderscoresNamingStrategy

## "eclipse" datasource configs
quarkus.datasource."eclipse".db-kind=mariadb
quarkus.datasource."eclipse".db-version=10.0.0
quarkus.datasource."eclipse".jdbc.min-size = 5
quarkus.datasource."eclipse".jdbc.max-size = 15
quarkus.hibernate-orm."eclipse".packages=org.eclipsefoundation.profile.dtos.eclipse
quarkus.hibernate-orm."eclipse".datasource=eclipse
quarkus.hibernate-orm."eclipse".physical-naming-strategy=org.hibernate.boot.model.naming.CamelCaseToUnderscoresNamingStrategy

## RestClient URLs
accounts-api.url
quarkus.rest-client.fdndb-api.url=http://foundationdb:8095
%dev.quarkus.rest-client.fdndb-api.url=http://localhost:10109
quarkus.rest-client.accounts-api.url=https://accounts.eclipse.org
quarkus.rest-client.accounts-profile-api.url=https://accounts.eclipse.org/account/profile
#%dev.accounts-api.url=https://accounts-staging.eclipse.org
quarkus.rest-client.eclipse-api.url=https://api.eclipse.org
quarkus.rest-client.projects-api.url=https://projects.eclipse.org
quarkus.rest-client.gerrit-api.url=https://git.eclipse.org

## Eclipse cache settings
eclipse.cache.ttl-max-seconds=300
quarkus.cache.caffeine."default".initial-capacity=10000
quarkus.cache.caffeine."default".expire-after-write=15M
quarkus.cache.caffeine."record".initial-capacity=${quarkus.cache.caffeine."default".initial-capacity}
quarkus.cache.caffeine."record".expire-after-write=${quarkus.cache.caffeine."default".expire-after-write}

eclipse.pagination.filter.default-page-size=20

## Eclipse loading-cache configs
eclipse.cache.loading."projects".timeout=10
eclipse.cache.loading."projects".refresh-after=PT1H

## Security configs
eclipse.security.oauth2.filter.enabled=true
%dev.eclipse.security.oauth2.filter.enabled=true

## Metadata URL configs
eclipse.profile.metadata.url.application-base-url=https://api.eclipse.org/
%dev.eclipse.profile.metadata.url.application-base-url=http://localhost:8090/
eclipse.profile.metadata.url.marketplace-favorites-url=https://marketplace.eclipse.org/user/
eclipse.profile.metadata.url.gerrit-owner-url=https://git.eclipse.org/r/changes/?q=owner:
eclipse.profile.metadata.url.gerrit-reviewer-url=https://git.eclipse.org/r/changes/?q=reviewer:

## User delete hostnames
## Updates to add/remove entries will require an update to the CompletedUserDeleteRequest to equal count - 1 (accounts is final and we action it)
eclipse.profile.user-delete.hosts."accounts"=accounts.eclipse.org
eclipse.profile.user-delete.hosts."projects"=projects.eclipse.org
eclipse.profile.user-delete.hosts."marketplace"=marketplace.eclipse.org
eclipse.profile.user-delete.hosts."blogs"=blogs.eclipse.org
eclipse.profile.user-delete.hosts."downloads"=eclipse.org/downloads/packages
eclipse.profile.user-delete.hosts."newsroom"=newsroom.eclipse.org
eclipse.profile.user-delete.hosts."uss-api"=api.eclipse.org/uss
